Ryzehosting
  1. account
Ryzehosting
  • account
    • redeem voucher
      POST
    • save address
      POST
    • affiliate stats
      GET
    • transactions
      GET
    • get address
      GET
    • dashboard
      GET
    • balance
      GET
    • session
      GET
  • domain
    • whois privacy update
      POST
    • whois privacy get
      GET
    • contact update
      POST
    • nameservers
      POST
    • dns-records
      GET
    • contact get
      GET
    • dns update
      POST
    • authcode
      POST
    • pricelist
      GET
    • details
      GET
    • check
      POST
    • order
      POST
    • list
      GET
  • server
    • ipaddresses
      GET
    • password
      POST
    • hardware
      GET
    • reinstall
      POST
    • rrddata
      GET
    • cancel
      POST
    • status
      GET
    • prices
      GET
    • config
      GET
    • renew
      POST
    • power
      POST
    • hosts
      GET
    • order
      POST
    • vnc
      GET
    • list
      GET
    • ptr
      POST
    • os
      GET
  • webspace
    • packages
    • details
    • renew
    • status
    • order
    • list
  • ryzectrl
    • packages
    • details
    • renew
    • order
    • list
  • ticket
    • messages
    • message
    • details
    • create
    • open
    • close
    • list
  • tools
    • Create UUID
    • Iban Verify
    • Network
    • NoVNC
    • Whois
  • Schemas
    • Unauthorized
    • Success
  1. account

session

GET
account/session

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************

Responses

🟢200Success
application/json
Body

🟠401Unauthorized
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://dash.ryzehosting.com/api/v2/account/session' \
--header 'Authorization: Bearer <token>'
Response Response Example
200 - Success
{
    "response": "Successfully fetched user data",
    "state": "success",
    "code": 200,
    "data": {
        "userId": 1,
        "userUuid": "01999f0d-45a2-87bd-ae35-df3b8fb6fe6e",
        "username": "Simon",
        "email": "mariacher@ryzehosting.com",
        "state": "active",
        "role": "CEO",
        "role_new": {
            "roles": [
                {
                    "id": 18,
                    "name": "Administration",
                    "description": "Test",
                    "allowed_urls": [
                        "/team/*"
                    ]
                }
            ]
        },
        "api_token": {
            "mode": "LIVE",
            "created_at": "2024-08-24 18:03:31",
            "updated_at": "2025-11-17 21:31:29"
        },
        "profile": {
            "address_locked": true,
            "business": false,
            "firstname": "Simon",
            "lastname": "Mariacher",
            "street": "Bildsteinerstraße",
            "number": "7",
            "postcode": "6858",
            "city": "Schwarzach",
            "state": "Vorarlberg",
            "country": "Österreich",
            "phone": "+43.06607864444",
            "company_name": "",
            "vat_number": ""
        },
        "balance": {
            "amount": "228.69",
            "coins": null,
            "dispo": "0.00",
            "reservedAmount": "0.00",
            "total": "228.69"
        },
        "legalAccepted": 1,
        "spin": "481-933-928",
        "avatar": "https://www.gravatar.com/avatar/f63a048b31c3a37e1b3118339d88f418?s=100&d=404",
        "nameserver": [
            "nameserver01.eu",
            "nameserver02.eu",
            "nameserver03.eu",
            "nameserver04.eu",
            "nameserver05.eu",
            "nameserver06.eu"
        ],
        "tokenAuth": "CgxQN9nmKgzSftWXqvQu2LtAtTUcHAqYnAxGwzwZJ66cCKNXYVBSGDikdX11vgQ0dnQ8waUGuCQPbJpffsYGO0YgTtsUeza4OWKDGjpeCV86rqd3L1UlTCawjSWm9JCd",
        "updatedAt": "2025-12-15 13:44:21",
        "createdAt": "2024-02-12 15:32:04"
    }
}
Modified at 2025-12-30 04:01:30
Previous
balance
Next
whois privacy update
Built with